<template>
  <v-card class="elevation-12">
    <div class="d-flex flex-nowrap">
      <v-avatar class="ma-3" size="80" tile>
        <v-img :src="consultation.content.icon"></v-img>
      </v-avatar>
      <div class="flex-grow-1">
        <v-card-title class="text-subtitle-2 text-break">
          {{ consultation.content.name }}
        </v-card-title>
        <v-card-text v-html="consultation.content.description" />
        <v-card-actions>
          <slot name="button">
            <v-btn
              block
              small
              color="primary"
              :to="{
                name: 'Bids.New',
                query: { consultationId: consultation.id }
              }"
              >Оставить заявку</v-btn
            >
          </slot>
        </v-card-actions>
      </div>
    </div>
  </v-card>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import { Consultation } from '@/domain/entity/consultation/Consultation';
import { Prop } from 'vue-property-decorator';

@Component({})
export default class ConsultationListItem extends Vue {
  @Prop({
    required: true,
    type: Object
  })
  private readonly consultation!: Consultation;
}
</script>

<style scoped></style>
